---
title: dots.v2.monitoring.sinks.destinations.byDestination_uuid().get()
description: Get Logging Destination
product: Reference
url: https://docs.digitalocean.com/reference/dots/reference/monitoring/monitoring-get-destination/
last_updated: "2026-10-27"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# dots.v2.monitoring.sinks.destinations.byDestination_uuid().get()

Generated on 27 Oct 2026 from DoTs version [`v1.21.0`](https://github.com/digitalocean/dots/releases/tag/v1.21.0)

## Usage

```typescript
client.v2.monitoring.sinks.destinations.byDestination_uuid(destination_uuid).get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | WithDestination_uuGetResponse>
```

## Description

To get the details of a destination, send a GET request to [`/v2/monitoring/sinks/destinations/{destination_uuid}`](https://docs.digitalocean.com/reference/api/reference/monitoring/index.html.md#monitoring_get_destination).

## Parameters

`destination_uuid` string required

Example: `1a64809f-1708-48ee-a742-dec8d481b8d1`

A unique identifier for a destination.

## Request Sample

## Show Request Sample

```typescript
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.monitoring.sinks.destinations
    .byDestination_uuid("1a64809f-1708-48ee-a742-dec8d481b8d1").get();
```

## Response Example

## Show Response Example

```json
{
  "destination": {
    "id": "01f30bfa-319a-4769-ba95-9d43971fb514",
    "name": "managed_opensearch_cluster",
    "type": "opensearch_dbaas",
    "config": {
      "id": "41078d41-165c-4cff-9f0a-19536e3e3d49",
      "endpoint": "example.com",
      "cluster_uuid": "85148069-7e35-4999-80bd-6fa1637ca385",
      "cluster_name": "managed_dbaas_cluster",
      "index_name": "logs",
      "retention_days": 14
    }
  }
}
```

## More Information

See [`/v2/monitoring/sinks/destinations/{destination_uuid}`](https://docs.digitalocean.com/reference/api/reference/monitoring/index.html.md#monitoring_get_destination) in the API reference for additional detail on responses, headers, parameters, and more.